import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0

DtThemeDefinition {
    id: dtTheme
    //QPalette 颜色
    property color windowTextActive : Qt.rgba(38, 38, 38, 0.85)
    property color windowTextInactive : Qt.rgba(115, 115, 115, 1)
    property color windowTextDisable : Qt.rgba(75, 175, 175, 1)
    property color buttonActive : Qt.rgba(230, 230, 230, 1)
    property color buttonInactive : Qt.rgba(230, 230, 230, 1)
    property color buttonDisable : Qt.rgba(238, 238, 238, 1)
    property color lightActive : Qt.rgba(255, 255, 255, 1)
    property color lightInactive : Qt.rgba(255, 255, 255, 1)
    property color lightDisable : Qt.rgba(250, 250, 250, 1)
    property color midLightActive : Qt.rgba(220, 220, 220, 1)
    property color midLightInactive : Qt.rgba(220, 220, 220, 1)
    property color midLightDisable : Qt.rgba(230, 230, 230, 1)
    property color darkActive : Qt.rgba(0, 0, 0, 1)
    property color darkInactive : Qt.rgba(0, 0, 0, 1)
    property color darkDisable : Qt.rgba(64, 64, 64, 1)
    property color midActive : Qt.rgba(115, 115, 115, 1)
    property color midInactive : Qt.rgba(115, 115, 115, 1)
    property color midDisable : Qt.rgba(102, 102, 102, 1)
    property color textActive : Qt.rgba(38, 38, 38, 1)
    property color textInactive : Qt.rgba(38, 38, 38, 1)
    property color textDisable : Qt.rgba(175, 175, 175, 1)
    property color brightTextActive : Qt.rgba(0, 0, 0, 1)
    property color brightTextInactive : Qt.rgba(0, 0, 0, 1)
    property color brightTextDisable : Qt.rgba(0, 0, 0, 1)
    property color buttonTextActive : Qt.rgba(38, 38, 38, 1)
    property color buttonTextInactive : Qt.rgba(38, 38, 38, 1)
    property color buttonTextDisable : Qt.rgba(175, 175, 175, 1)
    property color baseActive : Qt.rgba(255, 255, 255, 1)
    property color baseInactive : Qt.rgba(250, 250, 250, 1)
    property color baseDisable : Qt.rgba(238, 238, 238, 1)
    property color windowActive : Qt.rgba(246, 246, 246, 1)
    property color windowInactive : Qt.rgba(242, 242, 242, 1)
    property color windowDisable : Qt.rgba(238, 238, 238, 1)
    property color shadowActive : Qt.rgba(0, 0, 0, 0.4)
    property color shadowInactive : Qt.rgba(0, 0, 0, 0.25)
    property color shadowDisable : Qt.rgba(0, 0, 0, 0.25)
    property color highlightActive : Qt.rgba(55, 144, 250, 1)
    property color highlightInactive : Qt.rgba(55, 144, 250, 1)
    property color highlightDisable : Qt.rgba(238, 238, 238, 1)
    property color highlightedTextActive : Qt.rgba(255, 255, 255, 1)
    property color highlightedTextInactive : Qt.rgba(255, 255, 255, 1)
    property color highlightedTextDisable : Qt.rgba(175, 175, 175, 1)
    property color linkActive : Qt.rgba(55, 144, 250, 1)
    property color linkInactive : Qt.rgba(55, 144, 250, 1)
    property color linkDisable : Qt.rgba(175, 175, 175, 1)
    property color linkVisitedActive : Qt.rgba()
    property color linkVisitedInactive : Qt.rgba()
    property color linkVisitedDisable : Qt.rgba(175, 175, 175, 1)
    property color alternateBaseActive : Qt.rgba(242, 242, 242, 1)
    property color alternateBaseInactive : Qt.rgba(242, 242, 242, 1)
    property color alternateBaseDisable : Qt.rgba(242, 242, 242, 1)
    property color noRoleActive : Qt.rgba(250, 250, 250, 1)
    property color noRoleInactive : Qt.rgba(250, 250, 250, 1)
    property color noRoleDisable : Qt.rgba(235, 235, 235, 1)
    property color toolTipBaseActive : Qt.rgba(255, 255, 255, 1)
    property color toolTipBaseInactive : Qt.rgba(255, 255, 255, 1)
    property color toolTipBaseDisable : Qt.rgba(255, 255, 255, 1)
    property color toolTipTextActive : Qt.rgba(38, 38, 38, 1)
    property color toolTipTextInactive : Qt.rgba(38, 38, 38, 1)
    property color toolTipTextDisable : Qt.rgba(38, 38, 38, 1)
    property color placeholderTextActive : Qt.rgba(165, 165, 165, 1)
    property color placeholderTextInactive : Qt.rgba(165, 165, 165, 1)
    property color placeholderTextDisable : Qt.rgba(200, 200, 200, 1)

    //中性色
    property color kWhite : Qt.rgba(0, 0, 0, 1)
    property color kBlack : Qt.rgba(255, 255, 255, 1)
    property color kGray0 : Qt.rgba(255, 255, 255, 1)
    property color kGray1 : Qt.rgba(250, 250, 250, 1)
    property color kGray2 : Qt.rgba(246, 246, 246, 1)
    property color kGray3 : Qt.rgba(242, 242, 242, 1)
    property color kGray4 : Qt.rgba(238, 238, 238, 1)
    property color kGray5 : Qt.rgba(235, 235, 235, 1)
    property color kGray6 : Qt.rgba(230, 230, 230, 1)
    property color kGray7 : Qt.rgba(220, 220, 220, 1)
    property color kGray8 : Qt.rgba(210, 210, 210, 1)
    property color kGray9 : Qt.rgba(200, 200, 200, 1)
    property color kGray10 : Qt.rgba(185, 185, 185, 1)
    property color kGray11 : Qt.rgba(175, 175, 175, 1)
    property color kGray12 : Qt.rgba(165, 165, 165, 1)
    property color kGray13 : Qt.rgba(115, 115, 115, 1)
    property color kGray14 : Qt.rgba(102, 102, 102, 1)
    property color kGray15 : Qt.rgba(77, 77, 77, 1)
    property color kGray16 : Qt.rgba(64, 64, 64, 1)
    property color kGray17 : Qt.rgba(38, 38, 38, 1)
    property color kGrayAlpha0 : Qt.rgba(0, 0, 0, 0)
    property color kGrayAlpha1 : Qt.rgba(0, 0, 0, 0.05)
    property color kGrayAlpha2 : Qt.rgba(0, 0, 0, 0.08)
    property color kGrayAlpha3 : Qt.rgba(0, 0, 0, 0.1)
    property color kGrayAlpha4 : Qt.rgba(0, 0, 0, 0.15)
    property color kGrayAlpha5 : Qt.rgba(0, 0, 0, 0.18)
    property color kGrayAlpha6 : Qt.rgba(0, 0, 0, 0.2)
    property color kGrayAlpha7 : Qt.rgba(0, 0, 0, 0.25)
    property color kGrayAlpha8 : Qt.rgba(0, 0, 0, 0.28)
    property color kGrayAlpha9 : Qt.rgba(0, 0, 0, 0.3)
    property color kGrayAlpha10 : Qt.rgba(0, 0, 0, 0.35)
    property color kGrayAlpha11 : Qt.rgba(0, 0, 0, 0.55)
    property color kGrayAlpha12 : Qt.rgba(0, 0, 0, 0.03)
    property color kGrayAlpha13 : Qt.rgba(0, 0, 0, 0.4)

    //文本颜色
    property color kFontStrong : Qt.rgba(0, 0, 0, 1)
    property color kFontPrimary : Qt.rgba(0, 0, 0, 1)
    property color kFontPrimaryDisable : Qt.rgba(0, 0, 0, 0.35)
    property color kFontSecondary : Qt.rgba(0, 0, 0, 0.6)
    property color kFontSecondaryDisable : Qt.rgba(0, 0, 0, 0.3)
    property color kFontWhite : Qt.rgba(255, 255, 255, 1)
    property color kFontWhiteDisable : Qt.rgba(255, 255, 255, 0.35)
    property color kFontWhiteSecondary : Qt.rgba(255, 255, 255, 0.65)
    property color kFontWhiteSecondaryDisable : Qt.rgba(255, 255, 255, 0.3)

    //功能色
    property color kBrandNormal : Qt.rgba(54, 144, 250, 1)
    property color kBrandHover : Qt.rgba(52, 137, 238, 1)
    property color kBrandClick : Qt.rgba(44, 115, 200, 1)
    property color kBrandFocus : Qt.rgba(44, 115, 200, 1)
    property color kSuccessNormal : Qt.rgba(0, 180, 42, 1)
    property color kSuccessHover : Qt.rgba(0, 172, 40, 1)
    property color kSuccessClick : Qt.rgba(0, 144, 34, 1)
    property color kWarningNormal : Qt.rgba(255, 125, 0, 1)
    property color kWarningHover : Qt.rgba(243, 119, 0, 1)
    property color kWarningClick : Qt.rgba(204, 100, 0, 1)
    property color kErrorNormal : Qt.rgba(243, 63, 63, 1)
    property color kErrorHover : Qt.rgba(233, 60, 60, 1)
    property color kErrorClick : Qt.rgba(196, 50, 50, 1)
    property color kBrand1 : Qt.rgba(55, 144, 250, 1)
    property color kBrand2 : Qt.rgba(144, 46, 209, 1)
    property color kBrand3 : Qt.rgba(235, 48, 150, 1)
    property color kBrand4 : Qt.rgba(240, 188, 54, 1)
    property color kBrand5 : Qt.rgba(0, 129, 31, 1)
    property color kBrand6 : Qt.rgba(223, 49, 55, 1)
    property color kBrand7 : Qt.rgba(241, 133, 43, 1)

    //其他颜色
    property color kContainHover : Qt.rgba(242, 242, 242, 1)
    property color kContainClick : Qt.rgba(238, 238, 238, 1)
    property color kContainGeneralNormal : Qt.rgba(255, 255, 255, 1)
    property color kContainSecondaryNormal : Qt.rgba(246, 246, 246, 1)
    property color kContainSecondaryAlphaNormal : Qt.rgba(0, 0, 0, 0.03)
    property color kContainSecondaryAlphaHover : Qt.rgba(0, 0, 0, 0.05)
    property color kContainSecondaryAlphaClick : Qt.rgba(0, 0, 0, 0.08)
    property color kComponentNormal : Qt.rgba(230, 230, 230, 1)
    property color kComponentHover : Qt.rgba(220, 220, 220, 1)
    property color kComponentClick : Qt.rgba(185, 185, 185, 1)
    property color kComponentDisable : Qt.rgba(238, 238, 238, 1)
    property color kComponentAlphaNormal : Qt.rgba(238, 238, 238, 0.1)
    property color kComponentAlphaHover : Qt.rgba(238, 238, 238, 0.15)
    property color kComponentAlphaClick : Qt.rgba(238, 238, 238, 0.2)
    property color kComponentAlphaDisable : Qt.rgba(238, 238, 238, 0.08)
    property color kLineWindow : Qt.rgba(0, 0, 0, 0.1)
    property color kLineWindowActive : Qt.rgba(0, 0, 0, 0.1)
    property color kLineNormalAlpha : Qt.rgba(0, 0, 0, 0.1)
    property color kLineDisableAlpha : Qt.rgba(0, 0, 0, 0.05)
    property color kLineComponentNormal : Qt.rgba(0, 0, 0, 0)
    property color kLineComponentHover : Qt.rgba(0, 0, 0, 0)
    property color kLineComponentClick : Qt.rgba(0, 0, 0, 0)
    property color kLineComponentDisable : Qt.rgba(0, 0, 0, 0)
    property color kLineBrandNormal : Qt.rgba(55, 144, 250, 0)
    property color kLineBrandHover : Qt.rgba(55, 144, 250, 0)
    property color kLineBrandClick : Qt.rgba(55, 144, 250, 0)
    property color kLineBrandDisable : Qt.rgba(55, 144, 250, 0)
    property color kModalMask : Qt.rgba(0, 0, 0, 0.2)

    //描边
    property int normalLine : 1
    property int focusLine : 2

    //圆角
    property int kRadiusMin : 4
    property int kRadiusNormal : 6
    property int kRadiusMenu : 8
    property int kRadiusWindow : 12

    //间距
    property int kMarginMin : 4
    property int kMarginNormal : 8
    property int kMarginBig : 16
    property int kMarginWindow : 24
    property int kMarginComponent : 40

    //边距
    property int kPaddingMinLeft : 8
    property int kPaddingMinTop : 2
    property int kPaddingMinRight : 8
    property int kPaddingMinBottom : 2
    property int kPaddingNormalLeft : 16
    property int kPaddingNormalTop : 2
    property int kPaddingNormalRight : 16
    property int kPaddingNormalBottom : 2
    property int kPadding8Left : 8
    property int kPadding8Top : 8
    property int kPadding8Right : 8
    property int kPadding8Bottom : 8
    property int kPaddingWindowLeft : 24
    property int kPaddingWindowTop : 16
    property int kPaddingWindowRight : 24
    property int kPaddingWindowBottom : 24
}