/*
* Copyright (C) 2024, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: iaom <zhangpengfei@kylinos.cn>
 *
 */

#ifndef DTTHEMEDEFINITION_H
#define DTTHEMEDEFINITION_H
#include <QObject>
#include <QColor>
#define DESIGN_TOKENS \
    QColor m_windowTextActive = QColor(38, 38, 38, 0.85 * 255);                            \
    QColor m_windowTextInactive = QColor(115, 115, 115, 1 * 255);                          \
    QColor m_windowTextDisable = QColor(75, 175, 175, 1 * 255);                            \
    QColor m_buttonActive = QColor(230, 230, 230, 1 * 255);                                \
    QColor m_buttonInactive = QColor(230, 230, 230, 1 * 255);                              \
    QColor m_buttonDisable = QColor(238, 238, 238, 1 * 255);                               \
    QColor m_lightActive = QColor(255, 255, 255, 1 * 255);                                 \
    QColor m_lightInactive = QColor(255, 255, 255, 1 * 255);                               \
    QColor m_lightDisable = QColor(250, 250, 250, 1 * 255);                                \
    QColor m_midLightActive = QColor(220, 220, 220, 1 * 255);                              \
    QColor m_midLightInactive = QColor(220, 220, 220, 1 * 255);                            \
    QColor m_midLightDisable = QColor(230, 230, 230, 1 * 255);                             \
    QColor m_darkActive = QColor(0, 0, 0, 1 * 255);                                        \
    QColor m_darkInactive = QColor(0, 0, 0, 1 * 255);                                      \
    QColor m_darkDisable = QColor(64, 64, 64, 1 * 255);                                    \
    QColor m_midActive = QColor(115, 115, 115, 1 * 255);                                   \
    QColor m_midInactive = QColor(115, 115, 115, 1 * 255);                                 \
    QColor m_midDisable = QColor(102, 102, 102, 1 * 255);                                  \
    QColor m_textActive = QColor(38, 38, 38, 1 * 255);                                     \
    QColor m_textInactive = QColor(38, 38, 38, 1 * 255);                                   \
    QColor m_textDisable = QColor(175, 175, 175, 1 * 255);                                 \
    QColor m_brightTextActive = QColor(0, 0, 0, 1 * 255);                                  \
    QColor m_brightTextInactive = QColor(0, 0, 0, 1 * 255);                                \
    QColor m_brightTextDisable = QColor(0, 0, 0, 1 * 255);                                 \
    QColor m_buttonTextActive = QColor(38, 38, 38, 1 * 255);                               \
    QColor m_buttonTextInactive = QColor(38, 38, 38, 1 * 255);                             \
    QColor m_buttonTextDisable = QColor(175, 175, 175, 1 * 255);                           \
    QColor m_baseActive = QColor(255, 255, 255, 1 * 255);                                  \
    QColor m_baseInactive = QColor(250, 250, 250, 1 * 255);                                \
    QColor m_baseDisable = QColor(238, 238, 238, 1 * 255);                                 \
    QColor m_windowActive = QColor(246, 246, 246, 1 * 255);                                \
    QColor m_windowInactive = QColor(242, 242, 242, 1 * 255);                              \
    QColor m_windowDisable = QColor(238, 238, 238, 1 * 255);                               \
    QColor m_shadowActive = QColor(0, 0, 0, 0.4 * 255);                                    \
    QColor m_shadowInactive = QColor(0, 0, 0, 0.25 * 255);                                 \
    QColor m_shadowDisable = QColor(0, 0, 0, 0.25 * 255);                                  \
    QColor m_highlightActive = QColor(55, 144, 250, 1 * 255);                              \
    QColor m_highlightInactive = QColor(55, 144, 250, 1 * 255);                            \
    QColor m_highlightDisable = QColor(238, 238, 238, 1 * 255);                            \
    QColor m_highlightedTextActive = QColor(255, 255, 255, 1 * 255);                       \
    QColor m_highlightedTextInactive = QColor(255, 255, 255, 1 * 255);                     \
    QColor m_highlightedTextDisable = QColor(175, 175, 175, 1 * 255);                      \
    QColor m_linkActive = QColor(55, 144, 250, 1 * 255);                                   \
    QColor m_linkInactive = QColor(55, 144, 250, 1 * 255);                                 \
    QColor m_linkDisable = QColor(175, 175, 175, 1 * 255);                                 \
    QColor m_linkVisitedActive = QColor();                                                 \
    QColor m_linkVisitedInactive = QColor();                                               \
    QColor m_linkVisitedDisable = QColor(175, 175, 175, 1 * 255);                          \
    QColor m_alternateBaseActive = QColor(242, 242, 242, 1 * 255);                         \
    QColor m_alternateBaseInactive = QColor(242, 242, 242, 1 * 255);                       \
    QColor m_alternateBaseDisable = QColor(242, 242, 242, 1 * 255);                        \
    QColor m_noRoleActive = QColor(250, 250, 250, 1 * 255);                                \
    QColor m_noRoleInactive = QColor(250, 250, 250, 1 * 255);                              \
    QColor m_noRoleDisable = QColor(235, 235, 235, 1 * 255);                               \
    QColor m_toolTipBaseActive = QColor(255, 255, 255, 1 * 255);                           \
    QColor m_toolTipBaseInactive = QColor(255, 255, 255, 1 * 255);                         \
    QColor m_toolTipBaseDisable = QColor(255, 255, 255, 1 * 255);                          \
    QColor m_toolTipTextActive = QColor(38, 38, 38, 1 * 255);                              \
    QColor m_toolTipTextInactive = QColor(38, 38, 38, 1 * 255);                            \
    QColor m_toolTipTextDisable = QColor(38, 38, 38, 1 * 255);                             \
    QColor m_placeholderTextActive = QColor(165, 165, 165, 1 * 255);                       \
    QColor m_placeholderTextInactive = QColor(165, 165, 165, 1 * 255);                     \
    QColor m_placeholderTextDisable = QColor(200, 200, 200, 1 * 255);                      \
                                                                                           \
    QColor m_kWhite = QColor(0, 0, 0, 1 * 255);                                            \
    QColor m_kBlack = QColor(255, 255, 255, 1 * 255);                                      \
    QColor m_kGray0 = QColor(255, 255, 255, 1 * 255);                                      \
    QColor m_kGray1 = QColor(250, 250, 250, 1 * 255);                                      \
    QColor m_kGray2 = QColor(246, 246, 246, 1 * 255);                                      \
    QColor m_kGray3 = QColor(242, 242, 242, 1 * 255);                                      \
    QColor m_kGray4 = QColor(238, 238, 238, 1 * 255);                                      \
    QColor m_kGray5 = QColor(235, 235, 235, 1 * 255);                                      \
    QColor m_kGray6 = QColor(230, 230, 230, 1 * 255);                                      \
    QColor m_kGray7 = QColor(220, 220, 220, 1 * 255);                                      \
    QColor m_kGray8 = QColor(210, 210, 210, 1 * 255);                                      \
    QColor m_kGray9 = QColor(200, 200, 200, 1 * 255);                                      \
    QColor m_kGray10 = QColor(185, 185, 185, 1 * 255);                                     \
    QColor m_kGray11 = QColor(175, 175, 175, 1 * 255);                                     \
    QColor m_kGray12 = QColor(165, 165, 165, 1 * 255);                                     \
    QColor m_kGray13 = QColor(115, 115, 115, 1 * 255);                                     \
    QColor m_kGray14 = QColor(102, 102, 102, 1 * 255);                                     \
    QColor m_kGray15 = QColor(77, 77, 77, 1 * 255);                                        \
    QColor m_kGray16 = QColor(64, 64, 64, 1 * 255);                                        \
    QColor m_kGray17 = QColor(38, 38, 38, 1 * 255);                                        \
    QColor m_kGrayAlpha0 = QColor(0, 0, 0, 0);                                             \
    QColor m_kGrayAlpha1 = QColor(0, 0, 0, 0.05 * 255);                                    \
    QColor m_kGrayAlpha2 = QColor(0, 0, 0, 0.08 * 255);                                    \
    QColor m_kGrayAlpha3 = QColor(0, 0, 0, 0.1 * 255);                                     \
    QColor m_kGrayAlpha4 = QColor(0, 0, 0, 0.15 * 255);                                    \
    QColor m_kGrayAlpha5 = QColor(0, 0, 0, 0.18 * 255);                                    \
    QColor m_kGrayAlpha6 = QColor(0, 0, 0, 0.2 * 255);                                     \
    QColor m_kGrayAlpha7 = QColor(0, 0, 0, 0.25 * 255);                                    \
    QColor m_kGrayAlpha8 = QColor(0, 0, 0, 0.28 * 255);                                    \
    QColor m_kGrayAlpha9 = QColor(0, 0, 0, 0.3 * 255);                                     \
    QColor m_kGrayAlpha10 = QColor(0, 0, 0, 0.35 * 255);                                   \
    QColor m_kGrayAlpha11 = QColor(0, 0, 0, 0.55 * 255);                                   \
    QColor m_kGrayAlpha12 = QColor(0, 0, 0, 0.03 * 255);                                   \
    QColor m_kGrayAlpha13 = QColor(0, 0, 0, 0.4 * 255);                                    \
                                                                                           \
    QColor m_kFontStrong = QColor(0, 0, 0, 1 * 255);                                       \
    QColor m_kFontPrimary = QColor(0, 0, 0, 1 * 255);                                      \
    QColor m_kFontPrimaryDisable = QColor(0, 0, 0, 0.35 * 255);                            \
    QColor m_kFontSecondary = QColor(0, 0, 0, 0.6 * 255);                                  \
    QColor m_kFontSecondaryDisable = QColor(0, 0, 0, 0.3 * 255);                           \
    QColor m_kFontWhite = QColor(255, 255, 255, 1 * 255);                                  \
    QColor m_kFontWhiteDisable = QColor(255, 255, 255, 0.35 * 255);                        \
    QColor m_kFontWhiteSecondary = QColor(255, 255, 255, 0.65 * 255);                      \
    QColor m_kFontWhiteSecondaryDisable = QColor(255, 255, 255, 0.3 * 255);                \
                                                                                           \
    QColor m_kBrandNormal = QColor(54, 144, 250, 1 * 255);                                 \
    QColor m_kBrandHover = QColor(52, 137, 238, 1 * 255);                                  \
    QColor m_kBrandClick = QColor(44, 115, 200, 1 * 255);                                  \
    QColor m_kBrandFocus = QColor(44, 115, 200, 1 * 255);                                  \
    QColor m_kSuccessNormal = QColor(0, 180, 42, 1 * 255);                                 \
    QColor m_kSuccessHover = QColor(0, 172, 40, 1 * 255);                                  \
    QColor m_kSuccessClick = QColor(0, 144, 34, 1 * 255);                                  \
    QColor m_kWarningNormal = QColor(255, 125, 0, 1 * 255);                                \
    QColor m_kWarningHover = QColor(243, 119, 0, 1 * 255);                                 \
    QColor m_kWarningClick = QColor(204, 100, 0, 1 * 255);                                 \
    QColor m_kErrorNormal = QColor(243, 63, 63, 1 * 255);                                  \
    QColor m_kErrorHover = QColor(233, 60, 60, 1 * 255);                                   \
    QColor m_kErrorClick = QColor(196, 50, 50, 1 * 255);                                   \
    QColor m_kBrand1 = QColor(55, 144, 250, 1 * 255);                                      \
    QColor m_kBrand2 = QColor(144, 46, 209, 1 * 255);                                      \
    QColor m_kBrand3 = QColor(235, 48, 150, 1 * 255);                                      \
    QColor m_kBrand4 = QColor(240, 188, 54, 1 * 255);                                      \
    QColor m_kBrand5 = QColor(0, 129, 31, 1 * 255);                                        \
    QColor m_kBrand6 = QColor(223, 49, 55, 1 * 255);                                       \
    QColor m_kBrand7 = QColor(241, 133, 43, 1 * 255);                                      \
                                                                                           \
    QColor m_kContainHover = QColor(242, 242, 242, 1 * 255);                               \
    QColor m_kContainClick = QColor(238, 238, 238, 1 * 255);                               \
    QColor m_kContainGeneralNormal = QColor(255, 255, 255, 1 * 255);                       \
    QColor m_kContainSecondaryNormal = QColor(246, 246, 246, 1 * 255);                     \
    QColor m_kContainSecondaryAlphaNormal = QColor(0, 0, 0, 0.03 * 255);                   \
    QColor m_kContainSecondaryAlphaHover = QColor(0, 0, 0, 0.05 * 255);                    \
    QColor m_kContainSecondaryAlphaClick = QColor(0, 0, 0, 0.08 * 255);                    \
    QColor m_kComponentNormal = QColor(230, 230, 230, 1 * 255);                            \
    QColor m_kComponentHover = QColor(220, 220, 220, 1 * 255);                             \
    QColor m_kComponentClick = QColor(185, 185, 185, 1 * 255);                             \
    QColor m_kComponentDisable = QColor(238, 238, 238, 1 * 255);                           \
    QColor m_kComponentAlphaNormal = QColor(238, 238, 238, 0.1 * 255);                     \
    QColor m_kComponentAlphaHover = QColor(238, 238, 238, 0.15 * 255);                     \
    QColor m_kComponentAlphaClick = QColor(238, 238, 238, 0.2 * 255);                      \
    QColor m_kComponentAlphaDisable = QColor(238, 238, 238, 0.08 * 255);                   \
    QColor m_kLineWindow = QColor(0, 0, 0, 0.1 * 255);                                     \
    QColor m_kLineWindowActive = QColor(0, 0, 0, 0.1 * 255);                               \
    QColor m_kLineNormalAlpha = QColor(0, 0, 0, 0.1 * 255);                                \
    QColor m_kLineDisableAlpha = QColor(0, 0, 0, 0.05 * 255);                              \
    QColor m_kLineComponentNormal = QColor(0, 0, 0, 0);                                    \
    QColor m_kLineComponentHover = QColor(0, 0, 0, 0);                                     \
    QColor m_kLineComponentClick = QColor(0, 0, 0, 0);                                     \
    QColor m_kLineComponentDisable = QColor(0, 0, 0, 0);                                   \
    QColor m_kLineBrandNormal = QColor(55, 144, 250, 0);                                   \
    QColor m_kLineBrandHover = QColor(55, 144, 250, 0);                                    \
    QColor m_kLineBrandClick = QColor(55, 144, 250, 0);                                    \
    QColor m_kLineBrandDisable = QColor(55, 144, 250, 0);                                  \
    QColor m_kModalMask = QColor(0, 0, 0, 0.2 * 255);                                      \
                                                                                           \
    int m_normalLine = 1;                                                                  \
    int m_focusLine = 2;                                                                   \
                                                                                           \
    int m_kRadiusMin = 4;                                                                  \
    int m_kRadiusNormal = 6;                                                               \
    int m_kRadiusMenu = 8;                                                                 \
    int m_kRadiusWindow = 12;                                                              \
                                                                                           \
    int m_kMarginMin = 4;                                                                  \
    int m_kMarginNormal = 8;                                                               \
    int m_kMarginBig = 16;                                                                 \
    int m_kMarginWindow = 24;                                                              \
    int m_kMarginComponent = 40;                                                           \
                                                                                           \
    int m_kPaddingMinLeft = 8;                                                             \
    int m_kPaddingMinTop = 2;                                                              \
    int m_kPaddingMinRight = 8;                                                            \
    int m_kPaddingMinBottom = 2;                                                           \
    int m_kPaddingNormalLeft = 16;                                                         \
    int m_kPaddingNormalTop = 2;                                                           \
    int m_kPaddingNormalRight = 16;                                                        \
    int m_kPaddingNormalBottom = 2;                                                        \
    int m_kPadding8Left = 8;                                                               \
    int m_kPadding8Top = 8;                                                                \
    int m_kPadding8Right = 8;                                                              \
    int m_kPadding8Bottom = 8;                                                             \
    int m_kPaddingWindowLeft = 24;                                                         \
    int m_kPaddingWindowTop = 16;                                                          \
    int m_kPaddingWindowRight = 24;                                                        \
    int m_kPaddingWindowBottom = 24;
namespace UkuiQuick {

class DtThemeDefinition : public QObject
{
    Q_OBJECT
public:
    DtThemeDefinition(QObject *parent = nullptr);

private:
    DESIGN_TOKENS
};
}
#endif //DTTHEMEDEFINITION_H
