/*
* Copyright (C) 2024, KylinSoft Co., Ltd.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * Authors: iaom <zhangpengfei@kylinos.cn>
 *
 */
#ifndef DT_THEME_H
#define DT_THEME_H

#include <QObject>
#include <QColor>
#include <QQmlEngine>

namespace UkuiQuick {

class DtThemePrivate;
//TODO 可通过AttachedProperty的方式将DtTheme注册,支持在qml中直接创建DtTheme类实现自定义token
class DtTheme : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QColor windowTextActive READ windowTextActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor windowTextInactive READ windowTextInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor windowTextDisable READ windowTextDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor buttonActive READ buttonActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor buttonInactive READ buttonInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor buttonDisable READ buttonDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor lightActive READ lightActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor lightInactive READ lightInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor lightDisable READ lightDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor darkActive READ darkActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor darkInactive READ darkInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor darkDisable READ darkDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor baseActive READ baseActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor baseInactive READ baseInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor baseDisable READ baseDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor midLightActive READ midLightActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor midLightInactive READ midLightInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor midLightDisable READ midLightDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor midActive READ midActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor midInactive READ midInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor midDisable READ midDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor textActive READ textActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor textInactive READ textInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor textDisable READ textDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor brightTextActive READ brightTextActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor brightTextInactive READ brightTextInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor brightTextDisable READ brightTextDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor buttonTextActive READ buttonTextActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor buttonTextInactive READ buttonTextInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor buttonTextDisable READ buttonTextDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor baseActive READ baseActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor baseInactive READ baseInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor baseDisable READ baseDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor windowActive READ windowActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor windowInactive READ windowInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor windowDisable READ windowDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor shadowActive READ shadowActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor shadowInactive READ shadowInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor shadowDisable READ shadowDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor highlightActive READ highlightActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor highlightInactive READ highlightInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor highlightDisable READ highlightDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor linkActive READ linkActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor linkInactive READ linkInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor linkDisable READ linkDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor linkVisitedActive READ linkVisitedActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor linkVisitedInactive READ linkVisitedInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor linkVisitedDisable READ linkVisitedDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor alternateBaseActive READ alternateBaseActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor alternateBaseInactive READ alternateBaseInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor alternateBaseDisable READ alternateBaseDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor noRoleActive READ noRoleActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor noRoleInactive READ noRoleInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor noRoleDisable READ noRoleDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor toolTipBaseActive READ toolTipBaseActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor toolTipBaseInactive READ toolTipBaseInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor toolTipBaseDisable READ toolTipBaseDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor toolTipTextActive READ toolTipTextActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor toolTipTextInactive READ toolTipTextInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor toolTipTextDisable READ toolTipTextDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor placeholderTextActive READ placeholderTextActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor placeholderTextInactive READ placeholderTextInactive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor placeholderTextDisable READ placeholderTextDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kWhite READ kWhite NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBlack READ kBlack NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray0 READ kGray0 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray1 READ kGray1 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray2 READ kGray2 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray3 READ kGray3 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray4 READ kGray4 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray5 READ kGray5 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray6 READ kGray6 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray7 READ kGray7 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray8 READ kGray8 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray9 READ kGray9 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray10 READ kGray10 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray11 READ kGray11 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray12 READ kGray12 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray13 READ kGray13 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray14 READ kGray14 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray15 READ kGray15 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray16 READ kGray16 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGray17 READ kGray17 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha0 READ kGrayAlpha0 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha1 READ kGrayAlpha1 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha2 READ kGrayAlpha2 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha3 READ kGrayAlpha3 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha4 READ kGrayAlpha4 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha5 READ kGrayAlpha5 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha6 READ kGrayAlpha6 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha7 READ kGrayAlpha7 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha8 READ kGrayAlpha8 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha9 READ kGrayAlpha9 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha10 READ kGrayAlpha10 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha11 READ kGrayAlpha11 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha12 READ kGrayAlpha12 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kGrayAlpha13 READ kGrayAlpha13 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontStrong READ kFontStrong NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontPrimary READ kFontPrimary NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontPrimaryDisable READ kFontPrimaryDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontSecondary READ kFontSecondary NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontSecondaryDisable READ kFontSecondaryDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontWhite READ kFontWhite NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontWhiteDisable READ kFontWhiteDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontWhiteSecondary READ kFontWhiteSecondary NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kFontWhiteSecondaryDisable READ kFontWhiteSecondaryDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrandNormal READ kBrandNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrandHover READ kBrandHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrandClick READ kBrandClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrandFocus READ kBrandFocus NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kSuccessNormal READ kSuccessNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kSuccessHover READ kSuccessHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kSuccessClick READ kSuccessClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kWarningNormal READ kWarningNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kWarningHover READ kWarningHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kWarningClick READ kWarningClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kErrorNormal READ kErrorNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kErrorHover READ kErrorHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kErrorClick READ kErrorClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand1 READ kBrand1 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand2 READ kBrand2 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand3 READ kBrand3 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand4 READ kBrand4 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand5 READ kBrand5 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand6 READ kBrand6 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kBrand7 READ kBrand7 NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainHover READ kContainHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainClick READ kContainClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainGeneralNormal READ kContainGeneralNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainSecondaryNormal READ kContainSecondaryNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainSecondaryAlphaNormal READ kContainSecondaryAlphaNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainSecondaryAlphaHover READ kContainSecondaryAlphaHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kContainSecondaryAlphaClick READ kContainSecondaryAlphaClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentNormal READ kComponentNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentHover READ kComponentHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentClick READ kComponentClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentDisable READ kComponentDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentAlphaNormal READ kComponentAlphaNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentAlphaHover READ kComponentAlphaHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentAlphaClick READ kComponentAlphaClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kComponentAlphaDisable READ kComponentAlphaDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineWindow  READ kLineWindow NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineWindowActive READ kLineWindowActive NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineNormalAlpha READ kLineNormalAlpha NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineDisableAlpha READ kLineDisableAlpha NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineComponentNormal READ kLineComponentNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineComponentHover READ kLineComponentHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineComponentClick READ kLineComponentClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineComponentDisable READ kLineComponentDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineBrandNormal READ kLineBrandNormal NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineBrandHover READ kLineBrandHover NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineBrandClick READ kLineBrandClick NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kLineBrandDisable READ kLineBrandDisable NOTIFY colorTokensChanged)
    Q_PROPERTY(QColor kModalMask READ kModalMask NOTIFY colorTokensChanged)
    Q_PROPERTY(int normalLine READ normalLine NOTIFY intTokensChanged)
    Q_PROPERTY(int focusLine READ focusLine NOTIFY intTokensChanged)
    Q_PROPERTY(int kRadiusMin READ kRadiusMin NOTIFY intTokensChanged)
    Q_PROPERTY(int kRadiusNormal  READ kRadiusNormal NOTIFY intTokensChanged)
    Q_PROPERTY(int kRadiusMenu READ kRadiusMenu NOTIFY intTokensChanged)
    Q_PROPERTY(int kRadiusWindow READ kRadiusWindow NOTIFY intTokensChanged)
    Q_PROPERTY(int kMarginMin  READ kMarginMin NOTIFY intTokensChanged)
    Q_PROPERTY(int kMarginNormal READ kMarginNormal NOTIFY intTokensChanged)
    Q_PROPERTY(int kMarginBig READ kMarginBig NOTIFY intTokensChanged)
    Q_PROPERTY(int kMarginWindow READ kMarginWindow NOTIFY intTokensChanged)
    Q_PROPERTY(int kMarginComponent READ kMarginComponent NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingMinLeft READ kPaddingMinLeft NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingMinRight READ kPaddingMinRight NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingMinTop READ kPaddingMinTop NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingMinBottom READ kPaddingMinBottom NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingNormalLeft READ kPaddingNormalLeft NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingNormalRight READ kPaddingNormalRight NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingNormalTop READ kPaddingNormalTop NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingNormalBottom READ kPaddingNormalBottom NOTIFY intTokensChanged)
    Q_PROPERTY(int kPadding8Left READ kPadding8Left NOTIFY intTokensChanged)
    Q_PROPERTY(int kPadding8Right READ kPadding8Right NOTIFY intTokensChanged)
    Q_PROPERTY(int kPadding8Top READ kPadding8Top NOTIFY intTokensChanged)
    Q_PROPERTY(int kPadding8Bottom READ kPadding8Bottom NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingWindowLeft READ kPaddingWindowLeft NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingWindowRight READ kPaddingWindowRight NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingWindowTop READ kPaddingWindowTop NOTIFY intTokensChanged)
    Q_PROPERTY(int kPaddingWindowBottom READ kPaddingWindowBottom NOTIFY intTokensChanged)

public:
    DtTheme(QQmlEngine *engine, QObject *parent = nullptr);
    ~DtTheme();

    QColor windowTextActive() const;
    QColor windowTextInactive() const;
    QColor windowTextDisable() const;
    QColor buttonActive() const;
    QColor buttonInactive() const;
    QColor buttonDisable() const;
    QColor lightActive() const;
    QColor lightInactive() const;
    QColor lightDisable() const;
    QColor midLightActive() const;
    QColor midLightInactive() const;
    QColor midLightDisable() const;
    QColor darkActive() const;
    QColor darkInactive() const;
    QColor darkDisable() const;
    QColor midActive() const;
    QColor midInactive() const;
    QColor midDisable() const;
    QColor textActive() const;
    QColor textInactive() const;
    QColor textDisable() const;
    QColor brightTextActive() const;
    QColor brightTextInactive() const;
    QColor brightTextDisable() const;
    QColor buttonTextActive() const;
    QColor buttonTextInactive() const;
    QColor buttonTextDisable() const;
    QColor baseActive() const;
    QColor baseInactive() const;
    QColor baseDisable() const;
    QColor windowActive() const;
    QColor windowInactive() const;
    QColor windowDisable() const;
    QColor shadowActive() const;
    QColor shadowInactive() const;
    QColor shadowDisable() const;
    QColor highlightActive() const;
    QColor highlightInactive() const;
    QColor highlightDisable() const;
    QColor highlightedTextActive() const;
    QColor highlightedTextInactive() const;
    QColor highlightedTextDisable() const;
    QColor linkActive() const;
    QColor linkInactive() const;
    QColor linkDisable() const;
    QColor linkVisitedActive() const;
    QColor linkVisitedInactive() const;
    QColor linkVisitedDisable() const;
    QColor alternateBaseActive() const;
    QColor alternateBaseInactive() const;
    QColor alternateBaseDisable() const;
    QColor noRoleActive() const;
    QColor noRoleInactive() const;
    QColor noRoleDisable() const;
    QColor toolTipBaseActive() const;
    QColor toolTipBaseInactive() const;
    QColor toolTipBaseDisable() const;
    QColor toolTipTextActive() const;
    QColor toolTipTextInactive() const;
    QColor toolTipTextDisable() const;
    QColor placeholderTextActive() const;
    QColor placeholderTextInactive() const;
    QColor placeholderTextDisable() const;

    QColor kWhite() const;
    QColor kBlack() const;
    QColor kGray0() const;
    QColor kGray1() const;
    QColor kGray2() const;
    QColor kGray3() const;
    QColor kGray4() const;
    QColor kGray5() const;
    QColor kGray6() const;
    QColor kGray7() const;
    QColor kGray8() const;
    QColor kGray9() const;
    QColor kGray10() const;
    QColor kGray11() const;
    QColor kGray12() const;
    QColor kGray13() const;
    QColor kGray14() const;
    QColor kGray15() const;
    QColor kGray16() const;
    QColor kGray17() const;
    QColor kGrayAlpha0() const;
    QColor kGrayAlpha1() const;
    QColor kGrayAlpha2() const;
    QColor kGrayAlpha3() const;
    QColor kGrayAlpha4() const;
    QColor kGrayAlpha5() const;
    QColor kGrayAlpha6() const;
    QColor kGrayAlpha7() const;
    QColor kGrayAlpha8() const;
    QColor kGrayAlpha9() const;
    QColor kGrayAlpha10() const;
    QColor kGrayAlpha11() const;
    QColor kGrayAlpha12() const;
    QColor kGrayAlpha13() const;

    QColor kFontStrong() const;
    QColor kFontPrimary() const;
    QColor kFontPrimaryDisable() const;
    QColor kFontSecondary() const;
    QColor kFontSecondaryDisable() const;
    QColor kFontWhite() const;
    QColor kFontWhiteDisable() const;
    QColor kFontWhiteSecondary() const;
    QColor kFontWhiteSecondaryDisable() const;

    QColor kBrandNormal() const;
    QColor kBrandHover() const;
    QColor kBrandClick() const;
    QColor kBrandFocus() const;
    QColor kSuccessNormal() const;
    QColor kSuccessHover() const;
    QColor kSuccessClick() const;
    QColor kWarningNormal() const;
    QColor kWarningHover() const;
    QColor kWarningClick() const;
    QColor kErrorNormal() const;
    QColor kErrorHover() const;
    QColor kErrorClick() const;
    QColor kBrand1() const;
    QColor kBrand2() const;
    QColor kBrand3() const;
    QColor kBrand4() const;
    QColor kBrand5() const;
    QColor kBrand6() const;
    QColor kBrand7() const;

    QColor kContainHover() const;
    QColor kContainClick() const;
    QColor kContainGeneralNormal() const;
    QColor kContainSecondaryNormal() const;
    QColor kContainSecondaryAlphaNormal() const;
    QColor kContainSecondaryAlphaHover() const;
    QColor kContainSecondaryAlphaClick() const;
    QColor kComponentNormal() const;
    QColor kComponentHover() const;
    QColor kComponentClick() const;
    QColor kComponentDisable() const;
    QColor kComponentAlphaNormal() const;
    QColor kComponentAlphaHover() const;
    QColor kComponentAlphaClick() const;
    QColor kComponentAlphaDisable() const;
    QColor kLineWindow() const;
    QColor kLineWindowActive() const;
    QColor kLineNormalAlpha() const;
    QColor kLineDisableAlpha() const;
    QColor kLineComponentNormal() const;
    QColor kLineComponentHover() const;
    QColor kLineComponentClick() const;
    QColor kLineComponentDisable() const;
    QColor kLineBrandNormal() const;
    QColor kLineBrandHover() const;
    QColor kLineBrandClick() const;
    QColor kLineBrandDisable() const;
    QColor kModalMask() const;
    int normalLine() const;
    int focusLine() const;
    int kRadiusMin() const;
    int kRadiusNormal() const;
    int kRadiusMenu() const;
    int kRadiusWindow() const;
    int kMarginMin() const;
    int kMarginNormal() const;
    int kMarginBig() const;
    int kMarginWindow() const;
    int kMarginComponent() const;
    int kPaddingMinLeft() const;
    int kPaddingMinTop() const;
    int kPaddingMinRight() const;
    int kPaddingMinBottom() const;
    int kPaddingNormalLeft() const;
    int kPaddingNormalTop() const;
    int kPaddingNormalRight() const;
    int kPaddingNormalBottom() const;
    int kPadding8Left() const;
    int kPadding8Top() const;
    int kPadding8Right() const;
    int kPadding8Bottom() const;
    int kPaddingWindowLeft() const;
    int kPaddingWindowTop() const;
    int kPaddingWindowRight() const;
    int kPaddingWindowBottom() const;

Q_SIGNALS:
    void colorTokensChanged();
    void intTokensChanged();

private:
    DtThemePrivate *d = nullptr;
};
} // UkuiQuick

#endif //DT_THEME_H
